DB2 DWE 9.1.1 system requirements for the Data Warehouse Server

Preventive Service Planning


Abstract

This document lists the hardware, software, disk space, and memory that is required to install the data warehouse server component for DB2 Data Warehouse Edition 9.1.1.

Content

You can install Data Warehouse Server components if you purchased the Enterprise Edition, Developer Edition, or Base Edition.

Hardware and software:

If your system meets the installation requirements for DB2® Enterprise Server Edition 9.1, then your system likely meets the system requirements for installing all of the data warehouse server components in DWE.

Operating system
Minimum prerequisites
Number of bits
Hardware
AIX® Version 5.2
    • Maintenance Level 8
    • For DB2: APAR IY79365 is required.
    • For DB2: Minimum C++ runtime level is xlC.rte 8.0.0.4 and xlC.aix50.rte 8.0.0.4
32, 64

(DB2 9 does not support 32-bit AIX.)¹

IBM® eServer™ servers with POWER™ technology
AIX Version 5.3
    • Maintenance Level 4
    • For DB2: APARs IY78341, IY78499, and IY83580 are required
    • For DB2: Minimum C++ runtime level is xlC.rte 8.0.0.4 and xlC.aix50.rte 8.0.0.4
32, 64

(DB2 9 does not support 32-bit AIX.)¹

IBM eServer servers with POWER technology
Red Hat Enterprise Linux® V3

(Not supported by DB2 9.)²

N/A 32 A Pentium® or Pentium-compatible CPU is required.
Red Hat Enterprise Linux V4
    • glibc 2.3.4
    • Update 2
32, 64 Select one of the following:
    • For 32-bit: A Pentium or Pentium-compatible CPU
    • For 64-bit: x86-64 (AMD64, EM64T)
SUSE LINUX Enterprise Server 9 (SLES 9) or SLES 10
    For SLES 9:
    • glibc 2.3.3
    • Service Pack 3
32, 64 Select one of the following:
    • For 32-bit: A Pentium or Pentium-compatible CPU
    • For 64-bit: x86-64 (AMD64, EM64T)
Solaris 9 or Solaris 10 For Solaris 9, The following patches are also required:
    • 111711-12
    • 111712-12
64 Systems based on UltraSPARC processor
Windows® Server 2003 Standard, Enterprise and Datacenter Editions Service Pack 1, and R2 32 A Pentium or Pentium-compatible (x86) CPU is required.

Restrictions:

1. AIX users: DB2 9 does not support the 32-bit kernel on AIX. DWE 9.1.1 supports 32-bit AIX only if you decline to install DB2 9 and instead use DB2 Version 8.2 Fix Pack 3 (Version 8.1 Fix Pack 10) on the 32-bit AIX system.
2. Linux users: DB2 9 does not support Red Hat Enterprise Linux Version 3 (RHEL 3), so DWE 9.1.1 does not install DB2 9 on it. However, DWE 9.1.1 supports RHEL 3 if you use DB2 Version 8.2 Fix Pack 3 (Version 8.1 Fix Pack 10).

Disk Space:

Temporary space for installable images of the DWE components
    Before installing DWE, you must copy the installation image for each component to the target computer. Each image contains the installation executable files for that component. This disk space is different from the disk space needed to run the installation program.

    Approximately 1.2 GB of disk space is recommended for the installation images of the data warehouse server components


Temporary space for running the installation program

    Approximately 500 MB of disk space is recommended.

Permanent space for the installed components
    On Windows and Linux, approximately 1.5 GB of disk space is recommended for the installed product.

On AIX, you must have enough disk space to install the entire DWE product. This is approximately 3 GB.

Memory:

Memory for installing the product

    Approximately 1GB of memory is needed by the DWE installation program to install all the data warehouse server components.

Memory for running the product
    Approximately 512 MB of memory is the minimum amount of memory required to run the data warehouse server components alone. If you run the application server components on the same computer, 2 GB of memory is recommended.

If you add more DWE components to the same computer, you must have more memory to run them in addition to the memory reserved for the data warehouse server.

Databases:

DB2 Enterprise V9 is the only version of DB2 that DB2 DWE V9.1.1 installs, but DB2 DWE V9.1.1 also works with the following levels of DB2:

  • DB2 V9, up to Fix Pack 2
  • DB2 V8.2 Fix Packs 3 and 7 (V8.1 Fix Packs 10 and 14) only.

Related information

DB2 DWE 9.1.1 requirements for Applicaiton Server
DB2 DWE 9.1.1 requirements for Clients

Rate this page:

(0 users)Average rating

Document information


More support for:

InfoSphere Warehouse

Software version:

9.1.1

Operating system(s):

AIX, Linux, Solaris, Windows

Software edition:

Base, Developer, Enterprise

Reference #:

1249986

Modified date:

2010-03-19

Translate my page

Machine Translation

Content navigation